umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Functions | Variables
petalnode.cpp File Reference
`#include "petalnode.h"`
`#include "debug_utils.h"`

## Classes
class | Indenter

## Functions
QDebug | operator<< (QDebug _out, const PetalNode::StringOrNode &p)
QDebug | operator<< (QDebug _out, const PetalNode::NameValue &p)
QDebug | operator<< (QDebug _out, const PetalNode::NameValueList &p)
QDebug | operator<< (QDebug _out, const PetalNode &p)

## Variables
QString | a

## Function Documentation

## ◆ operator<<() [1/4]

QDebug operator<< | ( | QDebug | _out,
|  | const PetalNode & | p )

## ◆ operator<<() [2/4]

QDebug operator<< | ( | QDebug | _out,
|  | const PetalNode::NameValue & | p )

## ◆ operator<<() [3/4]

QDebug operator<< | ( | QDebug | _out,
|  | const PetalNode::NameValueList & | p )

## ◆ operator<<() [4/4]

QDebug operator<< | ( | QDebug | _out,
|  | const PetalNode::StringOrNode & | p )

## Variable Documentation

## ◆ a

QString a